Homebrewでgit関連のエラーが出た

brew updateしたら、以下の様なエラーが出ました。

error: unable to unlink old '.yardopts' (Permission denied)
Error: Failure while executing: git pull origin refs/heads/master:refs/remotes/origin/master

ごそごそ検索してみると、Error when brew updating, unable to unlink old README.md? · Issue #2906 · Homebrew/homebrew · GitHubというサイトが見つかったのでここにある通り実験。

$ sudo chown -R `whoami` /usr/local
$ git add.
$ git stach
$ git reset —hard

このあとbrew updateしたらスッと通りました。

要はPermission関係のエラーだったようですね。多分ディスクユーティリティのアクセス権修復をした影響があったかもしれません。

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中